%define name gtkpbbuttons
%define version 0.6.8
%define release 1mdk

Name: %{name}
Summary: GTK display client for pbbuttonsd
Version: %{version}
Release: %{release}
Source: http://prdownloads.sourceforge.net/pbbuttons/%{name}-%{version}.tar.bz2
Source1: gtkpbbuttons.startup
Patch0: gtkpbbuttons_default_theme.patch.bz2
URL: http://pbbuttons.sourceforge.net/
Group: System/Configuration/Hardware
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL
Requires: pbbuttonsd >= 0.5.0
BuildRequires: pbbuttonsd-devel >= 0.6.5
BuildRequires: popt-devel libgtk+2-devel libaudiofile-devel
ExclusiveArch: ppc

%description
A visualisation client for pbbuttonsd to display
messages from the server in nice GTK popup windows.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}-%{version}

%patch0 -p1

%build
%configure
%make

%install
%makeinstall_std
install -c -D -m755 %{SOURCE1} %buildroot%{_sysconfdir}/X11/xinit.d/gtkpbbuttons
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc AUTHORS BUGS COPYING README TODO
%config(noreplace) %{_sysconfdir}/X11/xinit.d/gtkpbbuttons
%{_bindir}/*
%{_mandir}/man*/*
%dir %{_datadir}/%{name}/themes
%{_datadir}/%{name}/themes/*

%changelog
* Sat Sep 24 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.6.8-1mdk
- 0.6.8

* Mon Mar 21 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.6.5-2mdk
- add BuildRequires: popt-devel libgtk+2-devel libaudiofile-devel

* Mon Feb 28 2005 Danny Tholen <obiwan@mailmij.org> 0.6.5-1mdk
- update
- change default theme to Crystal (patch1)

* Thu Sep 30 2004 Stew Benedict <sbenedict@mandrakesoft.com> 0.6.4-1mdk
- 0.6.4, new URL, new file layout (themes)

* Mon Mar 10 2003 Ben Reser <ben@reser.org> 0.5.2-1mdk
- Updated to 0.5.2 by  Stew Benedict
- Use the %%find_lang macro
- rpmlint permission fixes

* Sat Jun 08 2002 Ben Reser <ben@reser.org> 0.4.6b-3brs
- Rebuild against pbbuttonsd-0.4.10

* Sat Jun 08 2002 Ben Reser <ben@reser.org> 0.4.6b-2brs
- Rebuild against pbbuttonsd-0.4.9-2brs

* Wed May 02 2002 Ben Reser <ben@reser.org> 0.4.6b-1mdk
- First mandrake build.
